﻿$(function(){

  $(".major").append("<a class='showmore' href='#'></a> | ");

  $(".minor").hide();

  $("a.showmore")
  .text(t_showmore)
  .click(function(){
    var that = $(this).parent().nextAll(".minor")[0];
    if (that.style.display == "none" ){
      $(that).fadeIn();
      $(this).text(t_showless);
    }else{
      $(that).fadeOut();
      $(this).text(t_showmore);
    }
    return false;
  });

  $(".navitem .sub").before("<a class='subarrow' href='#'>▼</a>");

  $(".navitem").on({
    click: function() {
      $(this).find(".sub").fadeIn();
    },
    mouseenter: function() {
      $(this).find(".sub").fadeIn();
    },
    mouseleave: function() {
      $(this).find(".sub").fadeOut();
    },
  });

  $(".gps").each(function(){
    var center = $(this).attr("data_avg");
    var track = $(this).attr("data_track");
    var rect = $(this).attr("data_min") + "," + $(".gps").attr("data_max");

    if (!track)
    {
      track="ll="+center+"&z=8";
    }else{
      track="pl="+track;
    }

    $(this)
    .hide()
    .html("<a href='https://maps.yandex.ru/?ll="+center+"&z=12'><img width='200' height='200' src='http://static-maps.yandex.ru/1.x/?l=map&size=200,200&"+track+"'/></a>")

    $(this).parent().find(".major").append("<a class='showgps' href='#'></a>");

  });

  $("a.showgps")
  .text(t_track)
  .click(function(){
    var that = $(this).parent().nextAll(".gps")[0];
    if (that.style.display == "none" ){
      $(that).fadeIn();
    }else{
      $(that).fadeOut();
    }
    return false;
  });

  $("#allmaps").click(function(){
    $(".showgps").click();
  });

  $("#allminor").click(function(){
    $(".showmore").click();
  });



});



if (!Array.prototype.filter)
{
  Array.prototype.filter = function(fun /*, thisp*/)
  {
    var len = this.length;
    if (typeof fun != "function")
      throw new TypeError();

    var res = new Array();
    var thisp = arguments[1];
    for (var i = 0; i < len; i++)
    {
      if (i in this)
      {
        var val = this[i]; // in case fun mutates this
        if (fun.call(thisp, val, i, this))
          res.push(val);
      }
    }

    return res;
  };
}

if (!Array.prototype.map)
{
  Array.prototype.map = function(fun /*, thisp*/)
  {
    var len = this.length;
    if (typeof fun != "function")
      throw new TypeError();

    var res = new Array(len);
    var thisp = arguments[1];
    for (var i = 0; i < len; i++)
    {
      if (i in this)
        res[i] = fun.call(thisp, this[i], i, this);
    }

    return res;
  };
}
